OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape Class Reference

`#include <TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape ()
Standard_EXPORT | TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape (const TNaming_ListOfIndexedDataMapOfShapeListOfShape &L)
Standard_EXPORT void | Initialize (const TNaming_ListOfIndexedDataMapOfShapeListOfShape &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape | ( |  | ) |

Standard_EXPORT TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape | ( | const TNaming_ListOfIndexedDataMapOfShapeListOfShape & | L | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::Initialize | ( | const TNaming_ListOfIndexedDataMapOfShapeListOfShape & | L | ) |

Standard_Boolean TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::More | ( |  | ) | const

Standard_EXPORT void TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::Next | ( |  | ) |

void TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TopTools_IndexedDataMapOfShapeListOfShape& TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::Value | ( |  | ) | const

## Field Documentation

Standard_Address TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::current`[private]`

Standard_Address TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape::previous`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListIteratorOfListOfIndexedDataMapOfShapeListOfShape.hxx